Package org.apache.sling.jcr.base.internal.mount

## Class ProxyNodeTypeManager

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyNodeTypeManager

All Implemented Interfaces:
  `javax.jcr.nodetype.NodeTypeManager`

    public class ProxyNodeTypeManager
    extends Object
    implements javax.jcr.nodetype.NodeTypeManager

### Constructor Summary

Constructors
`ProxyNodeTypeManager​(javax.jcr.nodetype.NodeTypeManager nodeTypeManager, javax.jcr.nodetype.NodeTypeManager nodeTypeManager1)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.jcr.nodetype.NodeDefinitionTemplate` `createNodeDefinitionTemplate()`
`javax.jcr.nodetype.NodeTypeTemplate` `createNodeTypeTemplate()`
`javax.jcr.nodetype.NodeTypeTemplate` `createNodeTypeTemplate​(javax.jcr.nodetype.NodeTypeDefinition ntd)`
`javax.jcr.nodetype.PropertyDefinitionTemplate` `createPropertyDefinitionTemplate()`
`javax.jcr.nodetype.NodeTypeIterator` `getAllNodeTypes()`
`javax.jcr.nodetype.NodeTypeIterator` `getMixinNodeTypes()`
`javax.jcr.nodetype.NodeType` `getNodeType​(String nodeTypeName)`
`javax.jcr.nodetype.NodeTypeIterator` `getPrimaryNodeTypes()`
`boolean` `hasNodeType​(String name)`
`javax.jcr.nodetype.NodeType` `registerNodeType​(javax.jcr.nodetype.NodeTypeDefinition ntd, boolean allowUpdate)`
`javax.jcr.nodetype.NodeTypeIterator` `registerNodeTypes​(javax.jcr.nodetype.NodeTypeDefinition[] ntds, boolean allowUpdate)`
`void` `unregisterNodeType​(String name)`
`void` `unregisterNodeTypes​(String[] names)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyNodeTypeManager

    public ProxyNodeTypeManager​(javax.jcr.nodetype.NodeTypeManager nodeTypeManager,
                                javax.jcr.nodetype.NodeTypeManager nodeTypeManager1)

### Method Detail

#### getNodeType

    public javax.jcr.nodetype.NodeType getNodeType​(String nodeTypeName)
                                            throws javax.jcr.nodetype.NoSuchNodeTypeException,
                                                   javax.jcr.RepositoryException

Specified by:
  `getNodeType` in interface `javax.jcr.nodetype.NodeTypeManager`
Throws:
  `javax.jcr.nodetype.NoSuchNodeTypeException`
  `javax.jcr.RepositoryException`

#### hasNodeType

    public boolean hasNodeType​(String name)
                        throws javax.jcr.RepositoryException

Specified by:
  `hasNodeType` in interface `javax.jcr.nodetype.NodeTypeManager`
Throws:
  `javax.jcr.RepositoryException`

#### getAllNodeTypes

    public javax.jcr.nodetype.NodeTypeIterator getAllNodeTypes()
                                                        throws javax.jcr.RepositoryException

Specified by:
  `getAllNodeTypes` in interface `javax.jcr.nodetype.NodeTypeManager`
Throws:
  `javax.jcr.RepositoryException`

#### getPrimaryNodeTypes

    public javax.jcr.nodetype.NodeTypeIterator getPrimaryNodeTypes()
                                                            throws javax.jcr.RepositoryException

Specified by:
  `getPrimaryNodeTypes` in interface `javax.jcr.nodetype.NodeTypeManager`
Throws:
  `javax.jcr.RepositoryException`

#### getMixinNodeTypes

    public javax.jcr.nodetype.NodeTypeIterator getMixinNodeTypes()
                                                          throws javax.jcr.RepositoryException

Specified by:
  `getMixinNodeTypes` in interface `javax.jcr.nodetype.NodeTypeManager`
Throws:
  `javax.jcr.RepositoryException`

#### createNodeTypeTemplate

    public javax.jcr.nodetype.NodeTypeTemplate createNodeTypeTemplate()
                                                               throws javax.jcr.UnsupportedRepositoryOperationException,
                                                                      javax.jcr.RepositoryException

Specified by:
  `createNodeTypeTemplate` in interface `javax.jcr.nodetype.NodeTypeManager`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### createNodeTypeTemplate

    public javax.jcr.nodetype.NodeTypeTemplate createNodeTypeTemplate​(javax.jcr.nodetype.NodeTypeDefinition ntd)
                                                               throws javax.jcr.UnsupportedRepositoryOperationException,
                                                                      javax.jcr.RepositoryException

Specified by:
  `createNodeTypeTemplate` in interface `javax.jcr.nodetype.NodeTypeManager`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### createNodeDefinitionTemplate

    public javax.jcr.nodetype.NodeDefinitionTemplate createNodeDefinitionTemplate()
                                                                           throws javax.jcr.UnsupportedRepositoryOperationException,
                                                                                  javax.jcr.RepositoryException

Specified by:
  `createNodeDefinitionTemplate` in interface `javax.jcr.nodetype.NodeTypeManager`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### createPropertyDefinitionTemplate

    public javax.jcr.nodetype.PropertyDefinitionTemplate createPropertyDefinitionTemplate()
                                                                                   throws javax.jcr.UnsupportedRepositoryOperationException,
                                                                                          javax.jcr.RepositoryException

Specified by:
  `createPropertyDefinitionTemplate` in interface `javax.jcr.nodetype.NodeTypeManager`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### registerNodeType

    public javax.jcr.nodetype.NodeType registerNodeType​(javax.jcr.nodetype.NodeTypeDefinition ntd,
                                                        boolean allowUpdate)
                                                 throws javax.jcr.nodetype.InvalidNodeTypeDefinitionException,
                                                        javax.jcr.nodetype.NodeTypeExistsException,
                                                        javax.jcr.UnsupportedRepositoryOperationException,
                                                        javax.jcr.RepositoryException

Specified by:
  `registerNodeType` in interface `javax.jcr.nodetype.NodeTypeManager`
Throws:
  `javax.jcr.nodetype.InvalidNodeTypeDefinitionException`
  `javax.jcr.nodetype.NodeTypeExistsException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### registerNodeTypes

    public javax.jcr.nodetype.NodeTypeIterator registerNodeTypes​(javax.jcr.nodetype.NodeTypeDefinition[] ntds,
                                                                 boolean allowUpdate)
                                                          throws javax.jcr.nodetype.InvalidNodeTypeDefinitionException,
                                                                 javax.jcr.nodetype.NodeTypeExistsException,
                                                                 javax.jcr.UnsupportedRepositoryOperationException,
                                                                 javax.jcr.RepositoryException

Specified by:
  `registerNodeTypes` in interface `javax.jcr.nodetype.NodeTypeManager`
Throws:
  `javax.jcr.nodetype.InvalidNodeTypeDefinitionException`
  `javax.jcr.nodetype.NodeTypeExistsException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### unregisterNodeType

    public void unregisterNodeType​(String name)
                            throws javax.jcr.UnsupportedRepositoryOperationException,
                                   javax.jcr.nodetype.NoSuchNodeTypeException,
                                   javax.jcr.RepositoryException

Specified by:
  `unregisterNodeType` in interface `javax.jcr.nodetype.NodeTypeManager`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.nodetype.NoSuchNodeTypeException`
  `javax.jcr.RepositoryException`

#### unregisterNodeTypes

    public void unregisterNodeTypes​(String[] names)
                             throws javax.jcr.UnsupportedRepositoryOperationException,
                                    javax.jcr.nodetype.NoSuchNodeTypeException,
                                    javax.jcr.RepositoryException

Specified by:
  `unregisterNodeTypes` in interface `javax.jcr.nodetype.NodeTypeManager`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.nodetype.NoSuchNodeTypeException`
  `javax.jcr.RepositoryException`